function init(hero) {

    hero.setName("Catwoman");

    hero.setVersion("Arkham");

    hero.setTier(3);

    

    hero.setHelmet("Cowl");

    hero.setChestplate("Chestplate");

    hero.setLeggings("Leggings");

    hero.setBoots("Boots");

    hero.addEquipment("fiskheroes:grappling_gun");



    hero.addAbilities("fiskheroes:leaping", "fiskheroes:retractable_shield");

    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);

    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);

    hero.addAttribute("STEP_HEIGHT", 1, 0);

    hero.addAttribute("ATTACK_DAMAGE", 0.4, 1);

    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);

    hero.addAttribute("SPRINT_SPEED", 0.3, 1);

    

    hero.addKeyBind("SHIELD", "Retract Claws", 1);

    

    hero.addAttributeProfile("SHIELD", shieldProfile);

    hero.setAttributeProfile(getAttributeProfile);

    

    hero.setHasPermission(hasPermission);

}



function hasPermission(entity, permission) {

    return permission == "USE_GRAPPLING_GUN";

}



function shieldProfile(profile) {

    profile.addAttribute("ATTACK_DAMAGE", 0.6, 1);

    profile.addAttribute("PUNCH_DAMAGE", 6.5, 0);

}



function getAttributeProfile(entity) {

    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;

}